## lsb-release-2.0.tar.gz

=== src/Makefile ===
# 
# Makefile for lsb_release program
#
# Copyright (C) 2000, 2002, 2004 Free Standards Group, Inc
# 
# Christopher Yeoh <cyeoh@samba.org>
#
# This is $Revision: 1.7 $

# Config

ifndef INSTALL_ROOT
prefix=/usr/local
else
prefix=$(INSTALL_ROOT)
endif
mandir=${prefix}/man

all: man

man: lsb_release.1.gz

lsb_release.1.gz: lsb_release
	@./help2man -N --include ./lsb_release.examples --alt_version_key=program_version ./lsb_release >lsb_release.1
	@gzip -9f lsb_release.1

install: all
	install -D -m 644 lsb_release.1.gz ${mandir}/man1/lsb_release.1.gz
	install -D -m 755 lsb_release ${prefix}/bin/lsb_release

=== debian/changelog ===
lsb-release (1.4-1) unstable; urgency=low

  * Update for 1.4 release

 -- Christopher Yeoh <cyeoh@linuxcare.com.au>  Tue, 12 Dec 2000 12:16:05 +1100

lsb-release (1.3-1) unstable; urgency=low

  * Repackage so it lsb_release goes in /bin and
    man page in /usr/share/man

 -- Christopher Yeoh <cyeoh@linuxcare.com.au>  Mon, 30 Oct 2000 14:27:31 +1100

lsb-release (1.2-1) unstable; urgency=low

  * Update for 1.2 release of lsb_release

 -- Christopher Yeoh <cyeoh@linuxcare.com.au>  Sat, 21 Oct 2000 01:22:38 +1100

lsb-release (1.1-1) unstable; urgency=low

  * Update for 1.1 release of lsb_release

 -- Christopher Yeoh <cyeoh@linuxcare.com.au>  Thu, 28 Sep 2000 18:18:05 +1100

lsb-release (1.0-1) unstable; urgency=low

  * Initial Release.

 -- Christopher Yeoh <cyeoh@linuxcare.com.au>  Wed, 27 Sep 2000 12:07:55 +11002

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: lsb-release
Section: base
Priority: extra
Maintainer: Christopher Yeoh <cyeoh@linuxcare.com.au>
Standards-Version: 3.1.1
Build-Depends: debhelper

Package: lsb-release
Architecture: all
Description: LSB version query program
 This program forms  part of the required functionality of
 the LSB (Linux Standard Base) specification.
 .
 The program queries the installed state of the distribution
 to display certain properties such as the version of the
 LSB against which the distribution claims compliance as 
 well. It can also attempt to display the name and release
 of the distribution along with an identifier of who produces
 the distribution.

=== debian/rules ===
#!/usr/bin/make -f
# Debian rules file for lsb-release package
#
# Christopher Yeoh <cyeoh@linuxcare.com>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

build: build-stamp
build-stamp:
	dh_testdir
	# Make the documentation
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -f lsb_release.1.gz
	# Add here commands to clean up after the build process.
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install prefix=`pwd`/debian/tmp/ mandir=`pwd`/debian/tmp/usr/share/man

# Build architecture-independent files here.
binary-indep: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installmanpages
	dh_installchangelogs 
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do here.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
